Atendimento

(GET) por ID

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/customerservice/{id}
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/orders/customerservice/{id}' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "tenant": "string",
  "operator": "string",
  "createDate": "1970-01-01T00:00:00.000000",
  "lastUpdate": "1970-01-01T00:00:00.000000",
  "customerServiceData": {
    "id": "string",
    "subject": "string",
    "openDate": "1970-01-01T00:00:00.000000",
    "closingDate": "1970-01-01T00:00:00.000000",
    "responsible": "string"
  },
  "orderData": {
    "id": "string",
    "status": "string",
    "orderDate": "1970-01-01T00:00:00.000000",
    "approvalDate": "1970-01-01T00:00:00.000000",
    "cancelDate": "1970-01-01T00:00:00.000000"
  },
  "marketplaceData": {
    "marketPlaceId": "string",
    "siteId": "string",
    "marketplace": "string",
    "lastUpdate": "1970-01-01T00:00:00.000000"
  },
  "customerData": {
    "name": "string",
    "document": "string",
    "documentType": "string",
    "gender": "string",
    "customerType": "string",
    "email": "string",
    "corporateName": "string",
    "tradeName": "string",
    "corporateDocument": "string",
    "corporatePhone": "string",
    "stateInscription": "string",
    "addressData": {
      "type": "string",
      "zipcode": "string",
      "address": "string",
      "number": "string",
      "complement": "string",
      "neighborhood": "string",
      "city": "string",
      "state": "string",
      "stateAcronym": "string",
      "country": "string"
    },
    "phones": [
      {
        "type": "string",
        "ddi": "string",
        "ddd": "string",
        "number": "string",
        "local": "string"
      }
    ]
  },
  "comments": [
    {
      "entity": "string",
      "subject": "string",
      "comment": "string",
      "customerCanView": true,
      "author": {
        "code": "string",
        "name": "string",
        "email": "string",
        "login": "string",
        "hubSessionId": "string"
      },
      "iterationDate": "1970-01-01T00:00:00.000000",
      "responsible": "string"
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Consulta de Atendimento pelo ID

Path Parameters

Campo Tipo Descrição
id string (required) ID do Atendimento

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

(GET) paginado

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/customerservice/
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/orders/customerservice/' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "total": 0,
  "limit": 0,
  "offset": 0,
  "sort": "string",
  "values": [
    {
      "tenant": "string",
      "operator": "string",
      "createDate": "1970-01-01T00:00:00.000000",
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "customerServiceData": {
        "id": "string",
        "subject": "string",
        "openDate": "1970-01-01T00:00:00.000000",
        "closingDate": "1970-01-01T00:00:00.000000",
        "responsible": "string"
      },
      "orderData": {
        "id": "string",
        "status": "string",
        "orderDate": "1970-01-01T00:00:00.000000",
        "approvalDate": "1970-01-01T00:00:00.000000",
        "cancelDate": "1970-01-01T00:00:00.000000"
      },
      "marketplaceData": {
        "marketPlaceId": "string",
        "siteId": "string",
        "marketplace": "string",
        "lastUpdate": "1970-01-01T00:00:00.000000"
      },
      "customerData": {
        "name": "string",
        "document": "string",
        "documentType": "string",
        "gender": "string",
        "customerType": "string",
        "email": "string",
        "corporateName": "string",
        "tradeName": "string",
        "corporateDocument": "string",
        "corporatePhone": "string",
        "stateInscription": "string",
        "addressData": {
          "type": "string",
          "zipcode": "string",
          "address": "string",
          "number": "string",
          "complement": "string",
          "neighborhood": "string",
          "city": "string",
          "state": "string",
          "stateAcronym": "string",
          "country": "string"
        },
        "phones": [
          {
            "type": "string",
            "ddi": "string",
            "ddd": "string",
            "number": "string",
            "local": "string"
          }
        ]
      },
      "comments": [
        {
          "entity": "string",
          "subject": "string",
          "comment": "string",
          "customerCanView": true,
          "author": {
            "code": "string",
            "name": "string",
            "email": "string",
            "login": "string",
            "hubSessionId": "string"
          },
          "iterationDate": "1970-01-01T00:00:00.000000",
          "responsible": "string"
        }
      ]
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Consulta de Atendimentos paginada

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

Query Parameters

Campo Tipo Descrição
status string (optional) status do Atendimento
offset integer (optional) indica a partir de onde ocorre um aumento
limit integer (optional) indica a quantidade de recursos a serem devolvidos, variando de 10 a no máximo 10
sort string (optional) indica por qual atributo a consulta deve ser classificada (lastUpdate ou createDate) (Default lastUpdate)
last_update string($yyyy-MM-dd'T'HH:mm:ss) (optional) last update

(GET) /subjects

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/customerservice/subjects
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/orders/customerservice/subjects' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

[
  {
    "tenant": "string",
    "operator": "string",
    "createDate": "1970-01-01T00:00:00.000000",
    "lastUpdate": "1970-01-01T00:00:00.000000",
    "subjectData": {
      "id": "string",
      "subject": "string",
      "sla": 0
    }
  }
]
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Consulta de Assuntos

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

(GET) /{marketplaceid}/customerservice

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/marketplaceid/{marketplaceid}/customerservice
            
                
# Here is a curl example
curl --location \
'https://api.omnik.io/HUB/v1/orders/marketplaceid/{marketplaceid}/customerservice' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "total": 0,
  "limit": 0,
  "offset": 0,
  "sort": "string",
  "values": [
    {
      "tenant": "string",
      "operator": "string",
      "createDate": "1970-01-01T00:00:00.000000",
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "customerServiceData": {
        "id": "string",
        "subject": "string",
        "openDate": "1970-01-01T00:00:00.000000",
        "closingDate": "1970-01-01T00:00:00.000000",
        "responsible": "string"
      },
      "orderData": {
        "id": "string",
        "status": "string",
        "orderDate": "1970-01-01T00:00:00.000000",
        "approvalDate": "1970-01-01T00:00:00.000000",
        "cancelDate": "1970-01-01T00:00:00.000000"
      },
      "marketplaceData": {
        "marketPlaceId": "string",
        "siteId": "string",
        "marketplace": "string",
        "lastUpdate": "1970-01-01T00:00:00.000000"
      },
      "customerData": {
        "name": "string",
        "document": "string",
        "documentType": "string",
        "gender": "string",
        "customerType": "string",
        "email": "string",
        "corporateName": "string",
        "tradeName": "string",
        "corporateDocument": "string",
        "corporatePhone": "string",
        "stateInscription": "string",
        "addressData": {
          "type": "string",
          "zipcode": "string",
          "address": "string",
          "number": "string",
          "complement": "string",
          "neighborhood": "string",
          "city": "string",
          "state": "string",
          "stateAcronym": "string",
          "country": "string"
        },
        "phones": [
          {
            "type": "string",
            "ddi": "string",
            "ddd": "string",
            "number": "string",
            "local": "string"
          }
        ]
      },
      "comments": [
        {
          "entity": "string",
          "subject": "string",
          "comment": "string",
          "customerCanView": true,
          "author": {
            "code": "string",
            "name": "string",
            "email": "string",
            "login": "string",
            "hubSessionId": "string"
          },
          "iterationDate": "1970-01-01T00:00:00.000000",
          "responsible": "string"
        }
      ]
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Consulta de Atendimento pelo Marketplace ID do Pedido

Path Parameters

Campo Tipo Descrição
marketplaceid string (required) Marketplace ID do Pedido

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

Query Parameters

Campo Tipo Descrição
status string (optional) status do Atendimento
offset integer (optional) indica a partir de onde ocorre um aumento
limit integer (optional) indica a quantidade de recursos a serem devolvidos, variando de 10 a no máximo 10
sort string (optional) indica por qual atributo a consulta deve ser classificada (lastUpdate ou createDate) (Default lastUpdate)
last_update string($yyyy-MM-dd'T'HH:mm:ss) (optional) last update

(GET) paginado por Atendimento

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/{id}/customerservice
            
                
# Here is a curl example
curl --location \
'https://api.omnik.io/HUB/v1/orders/{id}/customerservice' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "total": 0,
  "limit": 0,
  "offset": 0,
  "sort": "string",
  "values": [
    {
      "tenant": "string",
      "operator": "string",
      "createDate": "1970-01-01T00:00:00.000000",
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "customerServiceData": {
        "id": "string",
        "subject": "string",
        "openDate": "1970-01-01T00:00:00.000000",
        "closingDate": "1970-01-01T00:00:00.000000",
        "responsible": "string"
      },
      "orderData": {
        "id": "string",
        "status": "string",
        "orderDate": "1970-01-01T00:00:00.000000",
        "approvalDate": "1970-01-01T00:00:00.000000",
        "cancelDate": "1970-01-01T00:00:00.000000"
      },
      "marketplaceData": {
        "marketPlaceId": "string",
        "siteId": "string",
        "marketplace": "string",
        "lastUpdate": "1970-01-01T00:00:00.000000"
      },
      "customerData": {
        "name": "string",
        "document": "string",
        "documentType": "string",
        "gender": "string",
        "customerType": "string",
        "email": "string",
        "corporateName": "string",
        "tradeName": "string",
        "corporateDocument": "string",
        "corporatePhone": "string",
        "stateInscription": "string",
        "addressData": {
          "type": "string",
          "zipcode": "string",
          "address": "string",
          "number": "string",
          "complement": "string",
          "neighborhood": "string",
          "city": "string",
          "state": "string",
          "stateAcronym": "string",
          "country": "string"
        },
        "phones": [
          {
            "type": "string",
            "ddi": "string",
            "ddd": "string",
            "number": "string",
            "local": "string"
          }
        ]
      },
      "comments": [
        {
          "entity": "string",
          "subject": "string",
          "comment": "string",
          "customerCanView": true,
          "author": {
            "code": "string",
            "name": "string",
            "email": "string",
            "login": "string",
            "hubSessionId": "string"
          },
          "iterationDate": "1970-01-01T00:00:00.000000",
          "responsible": "string"
        }
      ]
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Consulta de Atendimento pelo Marketplace ID do Pedido

Path Parameters

Campo Tipo Descrição
id string (required) ID do Atendimento

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

Query Parameters

Campo Tipo Descrição
status string (optional) status do Atendimento
offset integer (optional) indica a partir de onde ocorre um aumento
limit integer (optional) indica a quantidade de recursos a serem devolvidos, variando de 10 a no máximo 10
sort string (optional) indica por qual atributo a consulta deve ser classificada (lastUpdate ou createDate) (Default lastUpdate)
last_update string($yyyy-MM-dd'T'HH:mm:ss) (optional) last update

(GET) /comments

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/customerservice/{id}/comments
            
                
# Here is a curl example
curl --location \
'https://api.omnik.io/HUB/v1/orders/customerservice/{id}/comments' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "entity": "string",
  "subject": "string",
  "comment": "string",
  "customerCanView": true,
  "author": {
    "code": "string",
    "name": "string",
    "email": "string",
    "login": "string",
    "hubSessionId": "string"
  },
  "iterationDate": "1970-01-01T00:00:00.000000",
  "responsible": "string"
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Consultar comentários do Atendimento

Path Parameters

Campo Tipo Descrição
id string (required) ID do Atendimento

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

(GET) /atendimentoAssunto/devolucao

    API Endpoint

        https://api.omnik.io/v1/hub-web/atendimentoAssunto/devolucao
            
                
# Here is a curl example
curl --location \
'https://api.omnik.io/v1/hub-web/atendimentoAssunto/devolucao' \
--header 'token: {token}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "id": "string",
  "createDate": "string",
  "lastUpdate": "string",
  "tenant": true,
  "operator": true,
  "lastUpdate": "string",
  "dadoAssunto": {
    "assunto": "string",
    "sla": "string",
    "integracaoId": "string",
    "paraDevolucao": false
  },
  "usuarioManutencao": "string"
}
                
            
                
Result example 4xx:

{
  "logId": 0,
  "name": "string",
  "message": "string"
}
                
            
                
Result example 5xx:

{
  "logId": 0,
  "name": "string",
  "message": "string"
}
                
            

Consultar comentários do Atendimento

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso

(POST) /customerservice

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/customerservice/
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/orders/customerservice/' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json' \
--data '{
  "customerServiceData": {
    "subject": "string",
    "responsible": "string"
  },
  "orderData": {
    "id": "string"
  },
  "comments": [
    {
      "entity": "string",
      "subject": "string",
      "comment": "string",
      "customerCanView": true,
      "author": {
        "email": "string"
      },
      "iterationDate": "1970-01-01T00:00:00.000000",
      "responsible": "string"
    }
  ]
}'
                
            
                
Result example 2xx:

{
  "tenant": "string",
  "operator": "string",
  "createDate": "1970-01-01T00:00:00.000000",
  "lastUpdate": "1970-01-01T00:00:00.000000",
  "customerServiceData": {
    "id": "string",
    "subject": "string",
    "openDate": "1970-01-01T00:00:00.000000",
    "closingDate": "1970-01-01T00:00:00.000000",
    "responsible": "string"
  },
  "orderData": {
    "id": "string",
    "status": "string",
    "orderDate": "1970-01-01T00:00:00.000000",
    "approvalDate": "1970-01-01T00:00:00.000000",
    "cancelDate": "1970-01-01T00:00:00.000000"
  },
  "marketplaceData": {
    "marketPlaceId": "string",
    "siteId": "string",
    "marketplace": "string",
    "lastUpdate": "1970-01-01T00:00:00.000000"
  },
  "customerData": {
    "name": "string",
    "document": "string",
    "documentType": "string",
    "gender": "string",
    "customerType": "string",
    "email": "string",
    "corporateName": "string",
    "tradeName": "string",
    "corporateDocument": "string",
    "corporatePhone": "string",
    "stateInscription": "string",
    "addressData": {
      "type": "string",
      "zipcode": "string",
      "address": "string",
      "number": "string",
      "complement": "string",
      "neighborhood": "string",
      "city": "string",
      "state": "string",
      "stateAcronym": "string",
      "country": "string"
    },
    "phones": [
      {
        "type": "string",
        "ddi": "string",
        "ddd": "string",
        "number": "string",
        "local": "string"
      }
    ]
  },
  "comments": [
    {
      "entity": "string",
      "subject": "string",
      "comment": "string",
      "customerCanView": true,
      "author": {
        "code": "string",
        "name": "string",
        "email": "string",
        "login": "string",
        "hubSessionId": "string"
      },
      "iterationDate": "1970-01-01T00:00:00.000000",
      "responsible": "string"
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Inclusão de novo Atendimento

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

Body Parameters

Campo Tipo Descrição
customerServiceData object
Campo Tipo Descrição
subject string (required) Assunto do Atendimento
responsible string (required) Responsável pelo Atendimento
orderData object
Campo Tipo Descrição
id string (required) ID do Pedido
comments array
Campo Tipo Descrição
entity string (required) CLIENTE, SELLER or MARKETPLACE
subject string (optional) Assunto do Atendimento
comment string (required) Comentário do Atendimento
customerCanView boolean (optional) default false
author object
Campo Tipo Descrição
email string (required) email do autor do comentário
iterationDate string($yyyy-MM-dd'T'HH:mm:ss.SSS'000') (required) Data do Comentário
responsible string (required) CLIENTE, SELLER or MARKETPLACE

(POST) /comments

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/customerservice/{id}/comments
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/HUB/v1/orders/customerservice/{id}/comments' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json' \
--data '{
  "entity": "string",
  "subject": "string",
  "comment": "string",
  "customerCanView": true,
  "author": {
    "email": "string"
  },
  "iterationDate": "1970-01-01T00:00:00.000000",
  "responsible": "string"
}'
                
            
                
Result example 2xx:

{
  "tenant": "string",
  "operator": "string",
  "createDate": "1970-01-01T00:00:00.000000",
  "lastUpdate": "1970-01-01T00:00:00.000000",
  "customerServiceData": {
    "id": "string",
    "subject": "string",
    "openDate": "1970-01-01T00:00:00.000000",
    "closingDate": "1970-01-01T00:00:00.000000",
    "responsible": "string"
  },
  "orderData": {
    "id": "string",
    "status": "string",
    "orderDate": "1970-01-01T00:00:00.000000",
    "approvalDate": "1970-01-01T00:00:00.000000",
    "cancelDate": "1970-01-01T00:00:00.000000"
  },
  "marketplaceData": {
    "marketPlaceId": "string",
    "siteId": "string",
    "marketplace": "string",
    "lastUpdate": "1970-01-01T00:00:00.000000"
  },
  "customerData": {
    "name": "string",
    "document": "string",
    "documentType": "string",
    "gender": "string",
    "customerType": "string",
    "email": "string",
    "corporateName": "string",
    "tradeName": "string",
    "corporateDocument": "string",
    "corporatePhone": "string",
    "stateInscription": "string",
    "addressData": {
      "type": "string",
      "zipcode": "string",
      "address": "string",
      "number": "string",
      "complement": "string",
      "neighborhood": "string",
      "city": "string",
      "state": "string",
      "stateAcronym": "string",
      "country": "string"
    },
    "phones": [
      {
        "type": "string",
        "ddi": "string",
        "ddd": "string",
        "number": "string",
        "local": "string"
      }
    ]
  },
  "comments": [
    {
      "entity": "string",
      "subject": "string",
      "comment": "string",
      "customerCanView": true,
      "author": {
        "code": "string",
        "name": "string",
        "email": "string",
        "login": "string",
        "hubSessionId": "string"
      },
      "iterationDate": "1970-01-01T00:00:00.000000",
      "responsible": "string"
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Inclusão de novo comentário no Atendimento

Path Parameters

Campo Tipo Descrição
id string (required) ID do Atendimento

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

Body Parameters

Campo Tipo Descrição
entity string (required) CLIENTE, SELLER or MARKETPLACE
subject string (optional) Assunto do Atendimento
comment string (required) Comentário do Atendimento
customerCanView boolean (optional) default false
author object
Campo Tipo Descrição
email string (required) email do autor do comentário
iterationDate string($yyyy-MM-dd'T'HH:mm:ss.SSS'000') (required) Data do Comentário
responsible string (required) CLIENTE, SELLER or MARKETPLACE

(PUT) /close

    API Endpoint

        https://api.omnik.io/HUB/v1/orders/customerservice/{id}/close
            
                
# Here is a curl example
curl --location --request \
PUT 'https://api.omnik.io/HUB/v1/orders/customerservice/{id}/close' \
--header 'token: {token}' \
--header 'application_id: {application_id}' \
--header 'seller: {seller-tenant}' \
--header 'Content-Type: application/json' \
--data '{
  "responsible": "string",
  "comment": {
    "entity": "string",
    "subject": "string",
    "comment": "string",
    "customerCanView": true,
    "author": {
      "email": "string"
    },
    "iterationDate": "1970-01-01T00:00:00.000000",
    "responsible": "string"
  }
}'
                
            
                
Result example 2xx:

{
  "tenant": "string",
  "operator": "string",
  "createDate": "1970-01-01T00:00:00.000000",
  "lastUpdate": "1970-01-01T00:00:00.000000",
  "customerServiceData": {
    "id": "string",
    "subject": "string",
    "openDate": "1970-01-01T00:00:00.000000",
    "closingDate": "1970-01-01T00:00:00.000000",
    "responsible": "string"
  },
  "orderData": {
    "id": "string",
    "status": "string",
    "orderDate": "1970-01-01T00:00:00.000000",
    "approvalDate": "1970-01-01T00:00:00.000000",
    "cancelDate": "1970-01-01T00:00:00.000000"
  },
  "marketplaceData": {
    "marketPlaceId": "string",
    "siteId": "string",
    "marketplace": "string",
    "lastUpdate": "1970-01-01T00:00:00.000000"
  },
  "customerData": {
    "name": "string",
    "document": "string",
    "documentType": "string",
    "gender": "string",
    "customerType": "string",
    "email": "string",
    "corporateName": "string",
    "tradeName": "string",
    "corporateDocument": "string",
    "corporatePhone": "string",
    "stateInscription": "string",
    "addressData": {
      "type": "string",
      "zipcode": "string",
      "address": "string",
      "number": "string",
      "complement": "string",
      "neighborhood": "string",
      "city": "string",
      "state": "string",
      "stateAcronym": "string",
      "country": "string"
    },
    "phones": [
      {
        "type": "string",
        "ddi": "string",
        "ddd": "string",
        "number": "string",
        "local": "string"
      }
    ]
  },
  "comments": [
    {
      "entity": "string",
      "subject": "string",
      "comment": "string",
      "customerCanView": true,
      "author": {
        "code": "string",
        "name": "string",
        "email": "string",
        "login": "string",
        "hubSessionId": "string"
      },
      "iterationDate": "1970-01-01T00:00:00.000000",
      "responsible": "string"
    }
  ]
}
                
            
                
Result example 4xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            
                
Result example 5xx:

{
  "code": 0,
  "type": "string",
  "message": "string",
  "messages": [
    {
      "code": 0,
      "message": "string"
    }
  ]
}
                
            

Encerramento do Atendimento (com comentário final)

Path Parameters

Campo Tipo Descrição
id string (required) ID do Atendimento

Header Parameters

Campo Tipo Descrição
token string (required) seu token de acesso
application_id string (required) ID do seu token de acesso
seller string (optional) Tenant ID do Seller (se Operador)

Body Parameters

Campo Tipo Descrição
responsible string (required) CLIENTE, SELLER or MARKETPLACE
comments object
Campo Tipo Descrição
entity string (required) CLIENTE, SELLER or MARKETPLACE
subject string (optional) Assunto do Atendimento
comment string (required) Comentário do Atendimento
customerCanView boolean (optional) default false
author object
Campo Tipo Descrição
email string (required) email do autor do comentário
iterationDate string($yyyy-MM-dd'T'HH:mm:ss.SSS'000') (required) Data do Comentário
responsible string (required) CLIENTE, SELLER or MARKETPLACE